Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Aug 23 08:56

    AnoopAlias on ndeploy4

    fix (compare)

  • Aug 23 08:49

    AnoopAlias on ndeploy4

    fix (compare)

  • Aug 23 05:01

    AnoopAlias on ndeploy4

    fix (compare)

  • Aug 21 04:10

    AnoopAlias on ndeploy4

    make malware autokill the defau… Merge branch 'ndeploy4' of gith… (compare)

  • Aug 20 05:17

    AnoopAlias on ndeploy4

    Double footer fix on forbidden Another Default PHP Fix Fix for what application am I w… and 8 more (compare)

  • Aug 20 05:17
    AnoopAlias closed #443
  • Aug 20 05:16
    xlightwaverx opened #443
  • Aug 20 04:23
    AnoopAlias opened #442
  • Aug 20 04:23
    AnoopAlias opened #442
  • Aug 19 13:11

    AnoopAlias on ndeploy4

    fix (compare)

  • Aug 19 13:03

    AnoopAlias on ndeploy4

    fix (compare)

  • Aug 19 12:59

    AnoopAlias on ndeploy4

    fix (compare)

  • Aug 19 12:41

    AnoopAlias on ndeploy4

    Fix where fresh install does no… Merge pull request #441 from xl… (compare)

  • Aug 19 12:41
    AnoopAlias closed #441
  • Aug 19 12:34
    xlightwaverx opened #441
  • Aug 12 04:00

    AnoopAlias on ndeploy4

    Fix Autoswitch updated Merge upstream and 27 more (compare)

  • Aug 12 04:00
    AnoopAlias closed #440
  • Aug 12 03:30
    xlightwaverx opened #440
  • Aug 11 07:00

    AnoopAlias on ndeploy4

    fix (compare)

  • Aug 04 10:27

    AnoopAlias on ndeploy4

    maxscale version bump (compare)

JustVanBlooM
@justvanbloom
But Feature: the "TLSv1.3" parameter of the "ssl_protocols" directive in 1.13.
Anoop P Alias
@AnoopAlias
libressl-portable/portable#228
not sure about OpenSSL support too
Just FYI - switched pagespeed to latest stable and started using Redis as backend cache instead of Memcached
tests shows ok
JustVanBlooM
@justvanbloom
Yeah! Thx will try it. Redis with default settings or?
Anoop P Alias
@AnoopAlias
default settings
JustVanBlooM
@justvanbloom
Redis works fine. Thx.
Anoop P Alias
@AnoopAlias
The project has now a new home https://autom8n.com
vacancy12345
@vacancy12345
New and paid. Bad news. We will miss you xtendweb :(
JustVanBlooM
@justvanbloom
Oo? What’s with existing user? I hope all stays same?
vacancy12345
@vacancy12345

New installation is not possible.

There is no problem in the old installations. You must obtain a license to the install xtendweb. 5 usd!

Nathan Briggs
@nathanbriggs_twitter
With the wpredis_helper.js template, in the Nginx Helper plugin, does the Redis prefix have to remain 'nginx-cache:' for all sites, or can it be a unique key prefix for each site on the server?
Anoop P Alias
@AnoopAlias
redis prefix should be blank
no prefix is used
JustVanBlooM
@justvanbloom
@AnoopAlias shure I understand. But you didn’t ask beforehand. We all here to push xtendweb to the next level. :smile:
Nathan Briggs
@nathanbriggs_twitter
Thanks @AnoopAlias
Anoop P Alias
@AnoopAlias
A new rpm for XtendWeb and nginX is available . The nginx release is based on upstream: 2017-07-11
nginx-1.12.1 stable and nginx-1.13.3 mainline versions have been released with a fix for the integer overflow in the range filter vulnerability (CVE-2017-7529).
JustVanBlooM
@justvanbloom
Great. Btw I playing around with nchan Modul to support IoT. Maybe optional build in a few days. Let you know.
Anoop P Alias
@AnoopAlias
ok
Anoop P Alias
@AnoopAlias
Planning to remove NAXSI from the supported modules as mod_sec v3 is getting mature and nginx(com) only support mod_sec on their commercial deployments
if anyone thinks otherwise ..please brainstorm your thoughts here .Thanks
Nathan Briggs
@nathanbriggs
Will mod_sec v3 be working on Centos 6 soon? Or is that not going to happen at all?
Anoop P Alias
@AnoopAlias
@nathanbriggs - I think centos6 itself is outdated .The stumbling block is getting the libmodsecurity compiled in centos6 with the old libs etc it has . So yes mod_sec v3 on centos6 may not happen at all at least with XtendWeb
TaiSHiNet
@TaiSHiNet
@AnoopAlias when you update the PHP setting through customer's XtendWeb panel
Should it be updated in the MultiPHP panel as well?
TaiSHiNet
@TaiSHiNet
Also @AnoopAlias I set it to use EA's PHP but it still brought up 5 processes like this: php-fpm: master process (/opt/nDeploy/conf/php-fpm.conf)
Shouldn't it rely on EA's php-fpm which are already there?
Anoop P Alias
@AnoopAlias
@TaiSHiNet - Xtendweb use its own php-fpm (the master process you noted) for nginx+php-fpm. It caneither use cPanel MultiPHP or XtendWeb php-fpm in proxy mode with apache
theoretically its possible to use MultiPHP also with nginx ..but its crude to implement because of the way cPanel deal with this in MultiPHP. Also XtendWeb's method is a lot better than cPanel as it require lessphp-fpm restart
TaiSHiNet
@TaiSHiNet
@AnoopAlias how do you make custom php.ini for users? I tried the .user.ini and php.ini in the docroot and didn't work
Ah, a restart is required
Wonder which one takes precedence
Does ndeploy_backends.service get reloaded every now and then?
John carne
@yoorshop
What's up ?
TaiSHiNet
@TaiSHiNet
@AnoopAlias any reason why the yum upgrade would return forbidden for your repo?
JustVanBlooM
@justvanbloom
So how about opensource older versions?
Anoop P Alias
@AnoopAlias
@justvanbloom -sorry missed your comment . The whole project is opensource . The RPM packaged end product and technical support services is only under a paid subscription . Same monetizing model as RedHat
luvolondon
@luvolondon
Hi, I'm trying out a two server cluster on aws using the RPM packages. This doesn't work with two XTendWeb licenses, right? At least I need the single cluster support license, right? I'm getting a 403-Forbidden error when reaching https://autom8n.com/CentOS-edge/7/x86_64/nginx-nDeploy-1.15.3-2.el7.x86_64.rpm download.
Thank you for clarification
luvolondon
@luvolondon
Update: No more error. I had only registered a license for the master, with a second XTendWeb license for the slave I'm no longer getting the above error.
Anoop P Alias
@AnoopAlias
@luvolondon yes you will need license for all systems in cluster
which means at least 2 license
luvolondon
@luvolondon
Hi, I could need some advice please: "*/cache" is on unison ignore list, but I have files in /home/<id>/typo3_<version>/t3lib/cache that need to be synced. Where would I configure an exception to the unison preferences in /root/.unison/<slave name>.prf? Thank you
Anoop P Alias
@AnoopAlias
You can edit the .prf file directly and do systemctl restart ndeploy_unison
the cache is local to the server right?
the pattern was excluded as I thought mostly it would be local
@luvolondon -- let me know if this exclusion need to be removed globally
Anoop P Alias
@AnoopAlias
Also please open ticket / contact the live chat on the website for a more speedier response
luvolondon
@luvolondon
Ok, thank you. The folder is named cache because it contains the src code for implementing cache functionality within typo3, it is a readonly src dir. In general it should be ok to exclude all directories named cache, I think this is a special case not happening too often. I'll exclude "t3lib/cache" from the ignore liste and see what happends.